#!/bin/bash

RequiredVersion="6.5.0"
ESXCLI_VERSION=$(esxcli --version 2>null)

if [ "$ESXCLI_VERSION" == *"$RequiredVersion"* ];
then

	echo "Latest VMware_vCLI already exists"
	sleep 2

else

    if [ -n "$ESXCLI_VERSION" ];
    then
		echo "Replacing old VMware_vCLI with Newer one"
		#removing older VMware_vCLI
		echo "Removing older VMware_vCLI"

		#uninstall VMware_vCLI
		echo "UnInstall VMware_vCLI"
		/usr/bin/vmware-uninstall-vSphere-CLI.pl
		sleep 1
	fi

	#Creating temporary folder to extract VMware_vCLI
	echo "Creating temporary folder to extract VMware_vCLI"
	mkdir -p /tmp/vmwarevcli
	cd /tmp/vmwarevcli

	#extracting VMware_vCLI to /tmp/vmwarevcli/
	echo "Extracting VMware_vCLI to /tmp/vmwarevcli/"
	tar -xvf /usr/share/webapps/spectre/vmwaretools/VMware-vSphere-CLI-6.5.0-4276672.x86_64.tar.gz
	sleep 1

	#install and configure VMware_vCLI
	echo "Install and configure VMware_vCLI"
	yes | PAGER=cat /tmp/vmwarevcli/vmware-vsphere-cli-distrib/vmware-install.pl --default
	sleep 1

	#removing temporary folder
	echo "removing /tmp/vmwarevcli"
	cd ..
	rm -rf -- vmwarevcli
	
	#Secure the installation
	chown tomcat:tomcat -R /usr/lib/vmware-vcli
	chmod o-rwx /usr/bin/esxcli
	
fi

